Subject: bug#26887: [PATCH 01/11] gnu: libdrm: Update to 2.4.80.

From: Kei Kebreau <[email-masked]>
Date: Fri, 12 May 2017 19:17:40 -0400

Marius Bakke <[email-masked]> writes:

> Kei Kebreau <[email-masked]> writes:
>
>> Marius Bakke <[email-masked]> writes:
>>
>>> Kei Kebreau <[email-masked]> writes:
>>>
>>>> Kei Kebreau <[email-masked]> writes:
>>>>
>>>> These patches are intended for gnome-updates. The first three are merged
>>>> from master. Also, the mutter patch is not functional yet, as it
>>>> probably requires some updated package from master.
>>>
>>> I think it's better to merge master directly instead of cherry-picking
>>> these patches. We'd want to do that before starting it on Hydra anyway.
>>>
>>> Would you like to do it? I think we can start building it shortly, Hydra
>>> seems to have caught up with recent events. Maybe it'll be ready for the
>>> release :)
>>>
>> I can merge master and put these on top, though I can't test my patches
>> very quickly (building webkitgtk+ repeatedly on 10-year-old hardware \o/).
>> If your computer(s) are faster, I'd be more than happy to let you finish
>> this branch.
>
> I think these patches look fine (see other comments), at least up to
> mutter. I'd suggest merging master and adding the patches leading to
> it, as long as everyone is fine with adding wayland as a hard dependency
> of gtk+.
>
> Then we can start an evaluation on Hydra to get some substitutes before
> trying the mutter update :)

Last call for objections to wayland as a hard dependency of gtk+ on the
gnome-updates branch! This will be committed in approximately 24 hours
otherwise.